#
# spec file for package google-roboto-fonts
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           google-roboto-fonts
Version:        2.138
Release:        2.8
Summary:        Neo-grotesque sans-serif typeface family from Google
License:        Apache-2.0
Group:          System/X11/Fonts
URL:            https://material.google.com/style/typography.html
Source0:        https://github.com/google/roboto/releases/download/v%{version}/roboto-android.zip
Source1:        https://raw.githubusercontent.com/googlefonts/roboto/master/LICENSE
Source2:        google-roboto.metainfo.xml
BuildRequires:  fontpackages-devel
BuildRequires:  unzip
BuildArch:      noarch
%reconfigure_fonts_prereq

%description
Roboto is Google’s signature family of fonts, the default font on Android and
Chrome OS, and the recommended font for Google’s visual language, Material Design.

The font family supports all Latin, Cyrillic, and Greek characters in Unicode 7.0,
as well as the currency symbol for the Georgian lari, to be published in Unicode 8.0.

The fonts are currently available in eighteen different styles.

%prep
unzip -j -o %{SOURCE0}
cp %{SOURCE1} .
chmod 0644 LICENSE

%build

%install
mkdir -p %{buildroot}%{_ttfontsdir}
install -m 0644 *.ttf %{buildroot}%{_ttfontsdir}/

# install metainfo
install -m 0755 -d %{buildroot}%{_datadir}/metainfo
install -m 0644 -p %{SOURCE2} %{buildroot}%{_datadir}/metainfo

%reconfigure_fonts_scriptlets

%files
%license LICENSE
%{_datadir}/metainfo/google-roboto.metainfo.xml
%{_ttfontsdir}

%changelog
* Sun Apr  3 2022 Christophe Giboudeaux <christophe@krop.fr>
- Fix the license file permissions
- Spec cleanup
* Thu Aug 13 2020 Jan Engelhardt <jengelh@inai.de>
- Update summary to be more on point.
* Thu Aug  6 2020 Yunhe Guo <i@guoyunhe.me>
- Version 2.138
- Use upstream version number
- Use roboto-android.zip for better emoji compatibility
- Update metainfo installation location according to latest standard
- Remove useless docs but keep the license file
- Move google-roboto-slab-fonts into an individual package
* Wed Dec  7 2016 tiwai@suse.de
- Fix source URL to point to the right version number
- Fix the build with older distros; take all files including
  appdata subdirectory itself
* Fri Dec  2 2016 kamikazow@opensuse.org
- Update to version 2.135
- Using date-based version number because openSUSE insists on it
  (yyyymmddd.realVersion)
* Sat Sep 17 2016 kamikazow@opensuse.org
- Update to version 2.134
- As of this version, Google recommends the hinted font variant only for Windows
- Appdata files from David Tardon <dtardon@redhat.com>
* Sun Feb  7 2016 qzhao@suse.com
- Update to add LICENSE file
* Mon Oct 12 2015 fcrozat@suse.com
- Update main font to Roboto 2.0 (snapshot 2015/08/20)
- Update url.
* Wed Sep 25 2013 sknorr@suse.de
- update Roboto & Roboto Condensed (from hg)
- add Roboto Slab (from hg)
- add archive with documentation (from homepage URL)
* Wed Jul  4 2012 pgajdos@suse.cz
- amend spec file to reflect new font packaging scheme
  (see openFATE#313536);
* Fri Jun 29 2012 toms@opensuse.org
- First initial version checked out from Mercurial repository,
  dated 20120626
